// Copyright Epic Games, Inc. All Rights Reserved.

#pragma once

#include "CoreMinimal.h"
#include "GameFramework/GameModeBase.h"
#include "JamGameMode.generated.h"

/**
 * The game's default game mode.
 */
UCLASS()
class GAMEJAMTEMPLATE_API AJamGameMode : public AGameModeBase
{
	GENERATED_BODY()

public:

	AJamGameMode(const FObjectInitializer& ObjectInitializer);

	void InitGame(const FString& MapName, const FString& Options, FString& ErrorMessage) override;

	/**
	* Gets the instance of the sound manager.
	* @return The instance of the sound manager.
	*/
	UFUNCTION(BlueprintCallable)
	class USoundManager* GetSoundManager();

private:

	UPROPERTY()
	class USoundManager* SoundManager;
	
};
